package electrosphere.game.server.character;

import java.util.HashMap;
import java.util.Map;

public class Character {
    static int character_id_iterator = 0;
    
    int id;
    
    Map<String,Object> data = new HashMap<String,Object>();

    
    
    public int getId() {
        return id;
    }
    
    public void setId(int id){
        this.id = id;
    }
    
    public void putData(String key, Object o){
        data.put(key,o);
    }

    public boolean containsKey(String key){
        return data.containsKey(key);
    }
    
    public Object getData(String key){
        return data.get(key);
    }
    
    public Character(){
        
    }
    
}
